EmptyTileHandler (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.mapTile
Interface EmptyTileHandler

All Known Implementing Classes:
  MapTileMaker, ShpFileEmptyTileHandler, SimpleEmptyTileHandler, WholeWorldTileHandler

    public interface EmptyTileHandler

An EmptyTileHandler is a class that helps the MapTileFactory figure out what to do with non-existent map tiles.

Author:
  ddietrick

Method Summary
`java.awt.image.BufferedImage` | `getImageForEmptyTile(java.lang.String imagePath, int x, int y, int zoomLevel, MapTileCoordinateTransform mtcTransform, Projection proj)` The main call from the MapTileFactory to return something for the given missing tile.

Method Detail

### getImageForEmptyTile

    java.awt.image.BufferedImage getImageForEmptyTile(java.lang.String imagePath,
                                                      int x,
                                                      int y,
                                                      int zoomLevel,
                                                      MapTileCoordinateTransform mtcTransform,
                                                      Projection proj)

  The main call from the MapTileFactory to return something for the given missing tile.

  Parameters:
    `imagePath` - the path of the missing tile that is going to be used as cache lookup later.
    `x` - the uv x coordinate of the tile.
    `y` - the uv y coordinate of the tile.
    `zoomLevel` - the zoom level of the tile.
    `mtcTransform` - the transform that converts x,y coordinates to lat/lon and describes the layout of the uv tile coordinates.
    `proj` - the map projection, in case that matters what should be returned for the empty tile.
  Returns:
    BufferedImage for image tile

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details